注册 登录  
 加关注
   显示下一条  |  关闭
温馨提示!由于新浪微博认证机制调整,您的新浪微博帐号绑定已过期,请重新绑定!立即重新绑定新浪微博》  |  关闭

隐龙 为了一生的信念

今日默默沉于水,他日飞腾在九天...

 
 
 

日志

 
 

CentOS6.4安装utorrent(64位)  

2014-04-01 23:56:32|  分类: Linux |  标签: |举报 |字号 订阅

  下载LOFTER 我的照片书  |

在windows下一直utorrent作为bt下载工具,在CentOS下用过tranmission,感觉不太好。

utorrent的linux版本很旧,而且标明的是ubuntu的版本,我下的是64位的,下载地址(http://www.utorrent.com/downloads/complete/os/lin/track/alphax64)

解压之后,终端运行utserver,而后会先后提示缺少两个库文件,libssl.so.0.9.8和libcrypto.so.0.9.8,这两个库文件都是包含在openssl中的。

我查看了一下/usr/lib64/目录下的库文件,里面有libssl.so.1.0.0和libcrypto.so.1.0.0,我了个去,CentOS的库文件版本竟然比依赖的高,看来utorrent的linux版本真是相当长时间没有更新了。

使用下面的命令来做两个软链接

  1. # ln /usr/lib64/libcrypto.so.1.0.0 -s /usr/lib64/libcrypto.so.0.9.8  
  2. # ln /usr/lib64/libssl.so.1.0.0 -s /usr/lib64/libssl.so.0.9.8  


但而后仍然提示确实上面两个库文件。我又尝试安装32位版本的openssl

  1. # yum install -y openssl.i686 openssl-devel.i686  

再做两个软链接

  1. # ln /usr/lib/libcrypto.so.1.0.0 -s /usr/lib/libcrypto.so.0.9.8  
  2. # ln /usr/lib/libssl.so.1.0.0 -s /usr/lib/libssl.so.0.9.8  

之后再在终端运行utserver,运行成功。

打开浏览器,地址栏输 localhost:8080/gui/, 如果提示输入用户名和密码,用户名是admin,密码为空,然后就可以下载了。


有一个问题现在也没弄清楚,为什么我明明下载的是64位的版本,但依赖的确实32位的库?

  评论这张
 
阅读(507)| 评论(0)
推荐 转载

历史上的今天

评论

<#--最新日志,群博日志--> <#--推荐日志--> <#--引用记录--> <#--博主推荐--> <#--随机阅读--> <#--首页推荐--> <#--历史上的今天--> <#--被推荐日志--> <#--上一篇,下一篇--> <#-- 热度 --> <#-- 网易新闻广告 --> <#--右边模块结构--> <#--评论模块结构--> <#--引用模块结构--> <#--博主发起的投票-->
 
 
 
 
 
 
 
 
 
 
 
 
 
 

页脚

网易公司版权所有 ©1997-2017